package config

var Scd systemConfigData
var Nacos nacosConfig

// 配置信息
type systemConfigData struct {
	Admin   appInfo       `mapstructure:"admin" yaml:"admin"`     // 系统配置-Admin
	Api     appInfo       `mapstructure:"api" yaml:"api"`         // 系统配置-Api
	MySQL   mysqlConfig   `mapstructure:"mysql" yaml:"mysql"`     // MySQL配置
	Aliyun  aliyunConfig  `mapstructure:"aliyun" yaml:"aliyun"`   // 阿里云配置
	Tencent tencentConfig `mapstructure:"tencent" yaml:"tencent"` // 腾讯相关配置
	JWT     JWT           `mapstructure:"jwt" yaml:"jwt"`
}
