package param

import "Lee-WineList/common/types"

type Wine struct {
	types.BaseDbModel
	Name        string `gorm:"column:name;type:varchar(255);comment:酒名;NOT NULL" json:"name"`
	ChineseName string `gorm:"column:chinese_name;type:varchar(255);comment:中文酒名;NOT NULL" json:"chinese_name"`
	Ingredients string `json:"ingredients"`
	Quote       string `gorm:"column:quote;type:varchar(255);comment:引用;NOT NULL" json:"quote"`
	CategoryId  uint   `gorm:"column:category_id;type:int(11) unsigned;comment:分类ID;NOT NULL" json:"category_id"`
	Steps       string `gorm:"column:steps;type:varchar(255);comment:步骤;NOT NULL" json:"steps"`
	Context     string `gorm:"column:context;type:varchar(255);comment:酒文;NOT NULL" json:"context"`
}
