package app

import (
	"Lee-WineList/api/app"
	"Lee-WineList/middleware"
	"github.com/gin-gonic/gin"
)

// 登录相关
func login(g *gin.RouterGroup) {
	// 登录相关接口
	g.POST("/token", app.LoginApi().Login)
	g.POST("/token/refresh", app.LoginApi().Refresh)
	g.POST("/token/logout", middleware.AuthorizeToken(), app.LoginApi().Logout)
}
